Create a contact

Creates new contacts on Brevo. Contacts can be created by passing either -

1. email address of the contact (email_id),
2. phone number of the contact (to be passed as "SMS" field in "attributes" along with proper country code), For example- {"SMS":"+91xxxxxxxxxx"} or {"SMS":"0091xxxxxxxxxx"}
3. ext_id

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

Follow this format when passing a "SMS" phone number as an attribute.

Accepted Number Formats
91xxxxxxxxxx
+91xxxxxxxxxx
0091xxxxxxxxxx

Body Params

Values to create a contact

attributes
object

Pass the set of attributes and their values. The attribute's parameter should be passed in capital letter while creating a contact. Values that don't match the attribute type (e.g. text or string in a date attribute) will be ignored. These attributes must be present in your Brevo account. For eg: {"FNAME":"Elly", "LNAME":"Roger", "COUNTRIES": ["India","China"]}

string

Email address of the user. Mandatory if "ext_id" & "SMS" field is not passed.

boolean

Set this field to blacklist the contact for emails (emailBlacklisted = true)

string

Pass your own Id to create a contact.

listIds
array of int64s

Ids of the lists to add the contact to

listIds
boolean

Set this field to blacklist the contact for SMS (smsBlacklisted = true)

smtpBlacklistSender
array of strings

transactional email forbidden sender for contact. Use only for email Contact ( only available if updateEnabled = true )

smtpBlacklistSender
boolean
Defaults to false

Facilitate to update the existing contact in the same request (updateEnabled = true)

Responses

204

Contact updated

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json